Open issues when updating portal translations
Description

#5911 and CdmDataportalMultilingual describe how to add and update a translation file.

e Actually the drush command does not work.

kat ja@Qubuntu: /var/www/drupal-7-cdm-dataportal/web$ drush php-eval "locale_system_update (array ('cdm
_dataportal'));drush_backend_batch_process();"

PHP Fatal error: Uncaught Error: Call to undefined function cache_get () in /var/www/drupal-7-cdm-
dataportal/web/includes/module.inc: 762
Stack trace:
#0 /var/www/drupal-7-cdm-dataportal/web/includes/module.inc(962) : module_implements ()
#1 /var/www/drupal-7-cdm-dataportal/web/modules/system/system.module (2522) : module_invoke_all ()
#2 /var/www/drupal-7-cdm-dataportal/web/includes/theme.inc(798): _system_rebuild_theme_data ()
#3 /var/www/drupal-7-cdm-dataportal/web/includes/theme.maintenance.inc(57): list_themes ()
#4 /var/www/drupal-7-cdm-dataportal/web/includes/bootstrap.inc(2945): _drupal_maintenance_theme ()
#5 /var/www/drupal-7-cdm-dataportal/web/includes/errors.inc(177): drupal_maintenance_theme ()
#6 /var/www/drupal-7-cdm-dataportal/web/includes/bootstrap.inc(2670): _drupal_log_error ()
#7 [internal function]: _drupal_exception_handler ()
#8 {main}
thrown in /var/www/drupal-7-cdm-dataportal/web/includes/module.inc on line 762
Drush command terminated abnormally due to an unrecoverable error.
[err
or]
Error: Uncaught Error: Call to undefined function cache_get () in /var/www/drupal-7-cdm-dataportal/
web/includes/module.inc:762
Stack trace:
#0 /var/www/drupal-7-cdm-dataportal/web/includes/module.inc(962) : module_implements ()
#1 /var/www/drupal-7-cdm-dataportal/web/modules/system/system.module (2522) : module_invoke_all ()
#2 /var/www/drupal-7-cdm-dataportal/web/includes/theme.inc(798): _system_rebuild_theme_data ()
#3 /var/www/drupal-7-cdm-dataportal/web/includes/theme.maintenance.inc(57): list_themes ()
#4 /var/www/drupal-7-cdm-dataportal/web/includes/bootstrap.inc(2945): _drupal_maintenance_theme ()
#5 /var/www/drupal-7-cdm-dataportal/web/includes/errors.inc(177): drupal_maintenance_theme ()
#6 /var/www/drupal-7-cdm-dataportal/web/includes/bootstrap.inc(2670): _drupal_log_error ()
#7 [internal function]: _drupal_exception_handler ()
#8 {main}
thrown in /var/www/drupal-7-cdm-dataportal/web/includes/module.inc, line 762

e The extraction described in #5911 is not available in actual portals.
e areally critical issue is the handling of the strings below the search fields in the advanced search view.

o the translation is added correctly, but sometimes a new string is added whithout translation, the screenshot shows the
same string three timeg - mesumeestmnes

5. The search is case sensitive.
https://dev.e-taxonomy.eu/redmine/issues/5911
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/CdmDataportalMultilingual
https://dev.e-taxonomy.eu/redmine/issues/5911

But there is another way to update the translations: Upload the file from the admin Ul.

Related issues:
Related to EDIT - task #10010: Install Spanish for Mexico Eflora dataportal

Related to EDIT - task #8863: Create full documentation on multilingual setup...
History

#1 - 04/27/2022 10:33 AM - Katja Luther

- Description updated

#2 - 04/27/2022 11:05 AM - Andreas Miiller
- Related to task #10010: Install Spanish for Mexico Eflora dataportal added

#3 - 04/27/2022 11:13 AM - Andreas Miiller
- Due date set to 04/29/2022
- Start date set to 04/27/2022

#4 - 04/27/2022 12:14 PM - Andreas Miller

- Related to task #8863: Create full documentation on multilingual setup of the Data Portal added

#5 - 04/27/2022 12:17 PM - Katja Luther

- Status changed from New to In Progress

#6 - 04/27/2022 02:35 PM - Katja Luther
- File Screenshot 2022-04-27 143451.png added

- Description updated

#7 - 04/27/2022 02:36 PM - Katja Luther

- Description updated

#8 - 07/29/2022 03:02 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#9 - 09/08/2022 11:54 AM - Andreas Miiller
- Tags set to 5.32-Remaining

- Target version changed from Release 5.33 to Release 5.45

#10 - 09/08/2022 11:54 AM - Andreas Muller

- Status changed from In Progress to New
